#ifndef __EXPENSE_H__
#define __EXPENSE_H__

#include <qdatetime.h>
#include <qstring.h>

class Expense
{
public:
    Expense* clone() const;
    void copyValues( Expense* target ) const;
    
    void setDate( const QDate& );
    QString dateString() const;
    QDate date() const;
    void setDescription( const QString& );
    QString description() const;
    void setCategory( const QString& );
    QString category() const;
    void setCurrency( const QString& );
    QString currency() const;
    void setAmount( double );
    QString amountString() const;
    double amount() const;

private:
    QDate _date;
    QString _description;
    QString _currency;
    QString _category;
    double _amount;
};


#endif
